## PhoshBtManager

PhoshBtManager — Tracks the Bluetooth status

## Functions

PhoshBtManager * | phosh_bt_manager_new ()
const char * | phosh_bt_manager_get_icon_name ()
gboolean | phosh_bt_manager_get_enabled ()
void | phosh_bt_manager_set_enabled ()
gboolean | phosh_bt_manager_get_present ()

## Properties

gboolean | enabled | Read
char * | icon-name | Read
gboolean | present | Read

## Types and Values

#define | PHOSH_TYPE_BT_MANAGER
| PhoshBtManager

## Object Hierarchy

        GObject
        ╰── PhoshManager
            ╰── PhoshBtManager

## Description

PhoshBtManager tracks the Bluetooth status that is whether the adapter is present and enabled.

## Functions

### phosh_bt_manager_new ()

    PhoshBtManager *
    phosh_bt_manager_new (void);

### phosh_bt_manager_get_icon_name ()

    const char *
    phosh_bt_manager_get_icon_name (PhoshBtManager *self);

### phosh_bt_manager_get_enabled ()

    gboolean
    phosh_bt_manager_get_enabled (PhoshBtManager *self);

### phosh_bt_manager_set_enabled ()

    void
    phosh_bt_manager_set_enabled (PhoshBtManager *self,
                                  gboolean enabled);

### phosh_bt_manager_get_present ()

    gboolean
    phosh_bt_manager_get_present (PhoshBtManager *self);

## Types and Values

### PHOSH_TYPE_BT_MANAGER

    #define PHOSH_TYPE_BT_MANAGER (phosh_bt_manager_get_type ())

### PhoshBtManager

    typedef struct _PhoshBtManager PhoshBtManager;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Whether bluetooth hardware is enabled.

Owner: PhoshBtManager

Flags: Read

Default value: FALSE

### The `“icon-name”` property

      “icon-name”                char *

The bt icon name.

Owner: PhoshBtManager

Flags: Read

Default value: "bluetooth-disabled-symbolic"

### The `“present”` property

      “present”                  gboolean

Whether bluettoh hardware is present.

Owner: PhoshBtManager

Flags: Read

Default value: FALSE